[wingide-users] Installing 4.0.0-1 on Ubuntu

Phil Vandry vandry at TZoNE.ORG
Wed Feb 23 09:08:54 MST 2011


On Tue, 22 Feb 2011 09:52:28 -0500 Wingware Support <support at wingware.com> wrote:
> context will work around this.  The Debian package manager does not 
> understand our use of 'b' in the version for betas.

Debian's version numbering scheme is comprehensive and powerful. I
think it will be well worth your while to follow it in the future. Details
can be found here:

http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Version

Basically in your case you would version strings like 4.0.0~b6 (comes
before) and 4.0.0-1 (comes after).

You could also consider hosting a Debian repository that can be put in
/etc/apt/sources.list.d .

-Phil


More information about the wingide-users mailing list